package CRSDK;

import com.sun.jna.IntegerType;

/**
 * CrInt32u is a class that represents a 32-bit unsigned integer type.
 * It extends the IntegerType class from the JNA library.
 * This class is used to handle 32-bit unsigned integers in the Camera Remote SDK.
 */
@SuppressWarnings("unused")
public class CrInt32u extends IntegerType {

    public CrInt32u() {
        super(4, 0, true); // 4 bytes, initial value 0, unsigned
    }

    public CrInt32u(long value) {
        super(4, value, true); // 4 bytes, initial value from parameter, unsigned
    }

}
